This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 918776

Summary: Anaconda hangs when 'Configuring installed system'
Product: [Fedora] Fedora Reporter: mike wainwright <mike>
Component: anacondaAssignee: Vratislav Podzimek <vpodzime>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: agrimm, alexl, anaconda-maint-list, awilliam, felix, g.kaviyarasu, gtmkramer, jonathan, jsedlak, knight, kparal, marcosfrm, mkrizek, petersen, robatino, satellitgo, sbueno, stephent98, vanmeeuwen+fedora, vpodzime
Target Milestone: ---Flags: awilliam: needinfo? (mike)
vpodzime: needinfo? (mike)
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedBlocker
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 862801 Environment:
This is not fixed at 20130316. It still hangs on 'Configuring System'
Last Closed: 2014-02-05 18:04:59 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description mike wainwright 2013-03-06 15:29:45 EST
+++ This bug was initially created as a clone of Bug #862801 +++

Description of problem:
When state 'Configuring installed system' is reached, Anaconda hangs consuming 100% of cpu. Fedora 18 Beta TC1 Desktop Live x86_64 on USB stick (copied using dd) was used. When rebooted manually, the system seems to be installed just fine though. I hit this on bare metal, wasn't able to reproduce it in VM. Logs attached.

Version-Release number of selected component (if applicable):
anaconda-18.11-1.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. Boot Fedora 18 Beta TC1 Live and select default installation
  
Actual results:
Anaconda hangs.

Expected results:
Anaconda completes the installation.

--- Additional comment from Martin Krizek on 2012-10-03 11:06:42 EDT ---

Created attachment 620980 [details]
anaconda.log

--- Additional comment from Martin Krizek on 2012-10-03 11:07:12 EDT ---

Created attachment 620981 [details]
ifcfg.log

--- Additional comment from Martin Krizek on 2012-10-03 11:07:42 EDT ---

Created attachment 620982 [details]
packaging.log

--- Additional comment from Martin Krizek on 2012-10-03 11:08:02 EDT ---

Created attachment 620983 [details]
program.log

--- Additional comment from Martin Krizek on 2012-10-03 11:08:27 EDT ---

Created attachment 620984 [details]
storage.log

--- Additional comment from Martin Krizek on 2012-10-03 11:10:59 EDT ---

Proposing as a Beta blocker per (Alpha) criterion: "The installer must be able to complete an installation using the text, graphical and VNC installation interfaces."

--- Additional comment from Jesse Keating on 2012-10-03 12:58:42 EDT ---

Did you boot this install with selinux=0 or did you disable selinux in some other way?

--- Additional comment from  on 2012-10-03 15:18:16 EDT ---

saw this on f18-Beta-TC1 DVD and netinstall CD's
Install to USB HD
System booted fine afterwards

--- Additional comment from Adam Williamson on 2012-10-03 15:23:37 EDT ---

Discussed at 2012-10-03 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-03/f18-beta-blocker-review-2.2012-10-03-16.00.log.txt . There are indications that more than one system has hit this - I think I hit it myself once, but don't recall the details - but we don't yet have it nailed down. There's a possibility this affects enough systems to be a blocker, so we are leaving it open to collect more data and re-evaluate later.

--- Additional comment from Adam Williamson on 2012-10-03 15:24:15 EDT ---

note that we think satellit's case sounds more like https://bugzilla.redhat.com/show_bug.cgi?id=860791 than this bug.

--- Additional comment from Martin Krizek on 2012-10-04 02:41:37 EDT ---

(In reply to comment #7)
> Did you boot this install with selinux=0 or did you disable selinux in some
> other way?

No, I did not.

--- Additional comment from Chris Lumens on 2012-10-04 10:08:24 EDT ---

Can we also get the syslog?

--- Additional comment from Jens Petersen on 2012-10-05 02:21:18 EDT ---

Might be good to retest with 18.12 in Beta TC2.

--- Additional comment from Kamil Páral on 2012-10-05 10:20:33 EDT ---

This seems to hit more people:
http://lists.fedoraproject.org/pipermail/test/2012-October/110648.html

--- Additional comment from Jurgen Kramer on 2012-10-05 11:36:32 EDT ---

I had already destroyed the F18 Beta TC2 VM as networking was not working and somehow /sbin/ifconfig was missing (?). I did a reinstall and got the same systems, anaconda hanging at 'Configuring installed system'.


I'll attach syslog.

--- Additional comment from Jurgen Kramer on 2012-10-05 11:37:46 EDT ---

Created attachment 622284 [details]
syslog (KVM install)

--- Additional comment from Jurgen Kramer on 2012-10-05 11:42:52 EDT ---

Created attachment 622287 [details]
all logs tarred for good measure

--- Additional comment from  on 2012-10-05 11:50:47 EDT ---

Installed gnome3.6.0 with F18_Beta-TC2-x86_64 DVD last night
Anaconda install hung with "Configuring installed system"
after 1 hour I powered off system. Install booted to firstboot and gdm login fine
_ missing signal for reboot message in anaconda could be the the problem?
FYI https://bugzilla.redhat.com/show_bug.cgi?id=860791 occured at the same point in install in TC1 is this related?

--- Additional comment from Felix Kaechele on 2012-10-06 16:33:09 EDT ---

Created attachment 622807 [details]
Logs from Lenovo ThinkPad X230

Here are some logs from real hardware. Lenovo ThinkPad X230 (Model 2325-2DG).
Tested with Beta TC2.
Also tested with anaconda 18.13 from koji. Same problem but did not keep the logs.

--- Additional comment from Kamil Páral on 2012-10-08 06:11:44 EDT ---

I've encountered this too, on a bare metal machine with Beta TC2. Adding logs.

--- Additional comment from Kamil Páral on 2012-10-08 06:11:59 EDT ---

Created attachment 623378 [details]
anaconda.log

--- Additional comment from Kamil Páral on 2012-10-08 06:12:04 EDT ---

Created attachment 623379 [details]
program.log

--- Additional comment from Kamil Páral on 2012-10-08 06:12:09 EDT ---

Created attachment 623380 [details]
storage.log

--- Additional comment from Kamil Páral on 2012-10-08 06:12:15 EDT ---

Created attachment 623381 [details]
messages

--- Additional comment from Vratislav Podzimek on 2012-10-09 07:40:22 EDT ---

In pdb and gdb sessions we found out it hangs in isys.isWirelessDevice. It might be related to Gdk threads locks we use.

--- Additional comment from Jan Sedlák on 2012-10-09 08:15:14 EDT ---

I have tried "textinstall" several times and I hadn't encountered this bug.

--- Additional comment from Martin Sivák on 2012-10-09 09:31:33 EDT ---

Created attachment 624104 [details]
Threading code changes used for a test

Also strace reports SIGSEGV signal somewhere (not in Anaconda as it is still running) so we are trying to figure out the relationship between libnm-glib (called from isys), GObject and Gdk locks and Gtk vs. Glib (used to process udev events) mainloop.

The hang happened in Writing network configuration step even when the attached patch was applied (uses Gdk.threads_enter only when necessary and fixes thread initialization).

--- Additional comment from Petr Schindler on 2012-10-09 09:37:07 EDT ---

Created attachment 624106 [details]
strace from anaconda

--- Additional comment from Chris Lumens on 2012-10-09 10:47:56 EDT ---

*** Bug 864547 has been marked as a duplicate of this bug. ***

--- Additional comment from Dan Mashal on 2012-10-09 23:40:19 EDT ---

Reproduced in beta TC3 DVD install

--- Additional comment from Jens Petersen on 2012-10-10 03:13:06 EDT ---

For me it hangs when installing onto my T500 but not in virt-manager guests.

--- Additional comment from Kamil Páral on 2012-10-10 05:07:57 EDT ---

With F18 Beta TC3 Live, it now hangs during "Writing network configuration", that means one step further. But it might just be a glitch.

--- Additional comment from Martin Sivák on 2012-10-10 05:36:04 EDT ---

Yep, it always hangs at that spot. Gtk sometimes doesn't redraw the screen fast enough.

--- Additional comment from Vratislav Podzimek on 2012-10-10 07:42:24 EDT ---

Okay, I've found out that the hang happens on the following line:
>    client = nm_client_new();
>(pyanaconda/isys/iface.c:635)
which tries to get new instance of NMClient over DBus. We have also found out that this is probably the only place where we use DBus from a non-main thread. While main thread is running Gtk main loop the separate thread tries to use the same loop for dbus calls which probably causes the hang. It also explains why the issue does not happen in text mode.

We have been doing a revision of Gdk/GLib threading initialization and usage in anaconda. Let's hope it will help.

--- Additional comment from Marcos Mello on 2012-10-10 10:02:45 EDT ---

Having this too with Beta TC3 when "Configuring installed system".

--- Additional comment from Marcos Mello on 2012-10-10 10:04:42 EDT ---

Created attachment 624880 [details]
anaconda.log

--- Additional comment from Marcos Mello on 2012-10-10 10:05:33 EDT ---

Created attachment 624881 [details]
program.log

--- Additional comment from Marcos Mello on 2012-10-10 10:06:40 EDT ---

Created attachment 624888 [details]
storage.log

--- Additional comment from Adam Williamson on 2012-10-10 13:27:06 EDT ---

Discussed at 2012-10-10 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-10/f18beta-blocker-review-3.2012-10-10-16.05.log.txt . Accepted as a blocker per criterion "The installer must be able to complete an installation using the text, graphical and VNC installation interfaces" (even though it turns out the installed system boots, it's certainly true that the install does not 'complete').

--- Additional comment from Chris Lumens on 2012-10-10 22:19:25 EDT ---

*** Bug 864760 has been marked as a duplicate of this bug. ***

--- Additional comment from Dan Mashal on 2012-10-11 00:43:36 EDT ---

Not fixed in smoke 7 build netinst.

However, rebooting now during that phase gets you firstboot upon reboot.

--- Additional comment from Adam Williamson on 2012-10-11 00:59:45 EDT ---

if you weren't getting firstboot before, that was https://bugzilla.redhat.com/show_bug.cgi?id=863886 . nothing to do with this bug. this bug is not expected to be fixed yet. it's still set NEW and has no 'fixed in version' set.

--- Additional comment from Vratislav Podzimek on 2012-10-11 05:06:19 EDT ---

Updates image with the patch that seems to resolve this issue is available at:
http://vpodzime.fedorapeople.org/f18_tc3_hang.img

Kamil, could you please test it?

--- Additional comment from Kamil Páral on 2012-10-11 05:43:35 EDT ---

(In reply to comment #43)
> Updates image with the patch that seems to resolve this issue is available
> at:
> http://vpodzime.fedorapeople.org/f18_tc3_hang.img
> 
> Kamil, could you please test it?

With the updates.img I stumbled upon bug 865355.

--- Additional comment from Martin Krizek on 2012-10-11 06:19:44 EDT ---

The updates.img works for me (note: on a machine with no wifi).

--- Additional comment from Vratislav Podzimek on 2012-10-11 06:48:27 EDT ---

(In reply to comment #44)
> (In reply to comment #43)
> > Updates image with the patch that seems to resolve this issue is available
> > at:
> > http://vpodzime.fedorapeople.org/f18_tc3_hang.img
> > 
> > Kamil, could you please test it?
> 
> With the updates.img I stumbled upon bug 865355.
Yeah, but this means it went through the potential hang without any problems.

--- Additional comment from Dan Mashal on 2012-10-11 18:20:28 EDT ---

This seemed to be fixed on smoke7 it just took a really long time.

--- Additional comment from  on 2012-10-11 19:53:38 EDT ---

I did a netinstall of MATE with http://dl.fedoraproject.org/pub/alt/qa/18/20121010_f18b-smoke7/Fedora-18b-smoke7-x86_64-netinst.iso last night. 

(anaconda 18.15) It exited to a black screen after "installing bootloader" screen. There was no screen saying completed and asking for a reboot.

cold boot went to firstboot and sucessful login

--- Additional comment from Fedora Update System on 2012-10-11 21:05:52 EDT ---

anaconda-18.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.16-1.fc18

--- Additional comment from Vratislav Podzimek on 2012-10-12 03:48:37 EDT ---

(In reply to comment #48)
> I did a netinstall of MATE with
> http://dl.fedoraproject.org/pub/alt/qa/18/20121010_f18b-smoke7/Fedora-18b-
> smoke7-x86_64-netinst.iso last night. 
> 
> (anaconda 18.15) It exited to a black screen after "installing bootloader"
> screen. There was no screen saying completed and asking for a reboot.
This is the other possible result of this bug. Please try some build with anaconda-18.16-1.fc18 or the updates.img mentioned in commend #43 [1]

[1] http://fedoraproject.org/wiki/Anaconda/Updates#Updates_from_the_Network

--- Additional comment from Robert Knight on 2012-10-12 05:06:11 EDT ---

updates.img works for me on conventional hardware.

--- Additional comment from Fedora Update System on 2012-10-12 13:55:16 EDT ---

Package anaconda-18.16-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.16-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16018/anaconda-18.16-1.fc18
then log in and leave karma (feedback).

--- Additional comment from  on 2012-10-14 22:12:45 EDT ---

anaconda 18.16 in TC4 lives, DVD and netinstall x86_64 goes to reboot screen and has warning to set root password while installing.

--- Additional comment from Kamil Páral on 2012-10-16 07:30:02 EDT ---

*** Bug 860533 has been marked as a duplicate of this bug. ***

--- Additional comment from Kamil Páral on 2012-10-16 07:31:05 EDT ---

This no longer happens in Beta TC4.

--- Additional comment from Fedora Update System on 2012-10-16 23:08:59 EDT ---

anaconda-18.17-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.17-1.fc18

--- Additional comment from Fedora Update System on 2012-10-17 13:30:40 EDT ---

Package anaconda-18.17-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.17-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16295/anaconda-18.17-1.fc18
then log in and leave karma (feedback).

--- Additional comment from Adam Williamson on 2012-10-17 20:05:28 EDT ---

Back to VERIFIED.

--- Additional comment from Fedora Update System on 2012-10-17 22:37:56 EDT ---

anaconda-18.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.18-1.fc18

--- Additional comment from Fedora Update System on 2012-10-18 11:30:16 EDT ---

Package anaconda-18.18-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.18-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16402/anaconda-18.18-1.fc18
then log in and leave karma (feedback).

--- Additional comment from Adam Williamson on 2012-10-18 17:32:46 EDT ---

aaaand again.

--- Additional comment from Fedora Update System on 2012-10-19 21:33:41 EDT ---

anaconda-18.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.19-1.fc18

--- Additional comment from Fedora Update System on 2012-10-19 23:51:52 EDT ---

Package anaconda-18.19-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.19-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16528/anaconda-18.19-1.fc18
then log in and leave karma (feedback).

--- Additional comment from Kamil Páral on 2012-10-23 09:00:11 EDT ---

This is fixed, anaconda is stable, closing.
Comment 1 mike wainwright 2013-03-06 15:31:41 EST
This is not fixed at 20130306. It still hangs on Configuring System.
Comment 2 Adam Williamson 2013-03-06 15:44:54 EST
That's really not enough information to be useful. Clearly you don't have the same bug as the initial reporter of the parent bug, as multiple reporters of that bug confirmed the fix. So you're seeing something else. But without any logs or details, it's pretty hard for us to do anything about it. Could you at least provide us more details of your install configuration and hardware?
Comment 3 Vratislav Podzimek 2013-03-07 05:51:02 EST
I'm just working on a fix. It hangs in keyboard configuration code in some DBus call.
Comment 4 Vratislav Podzimek 2013-03-08 04:30:12 EST
(In reply to comment #1)
> This is not fixed at 20130306. It still hangs on Configuring System.
Where did you get that image? I have seen such hang on our testing images, but when I tried it with 20130301 available at [1], everything works there. The issue is that Anaconda hangs when calling systemd-localed over DBus. Maybe there are different versions of systemd/libdbus... on those images. We really need to find out which one is newer and if it is gonna be broken in future or if it is already fixed.
Comment 5 Vratislav Podzimek 2013-03-08 04:41:10 EST
It is possible to use e.g. 'lshw' to get info about the hardware. And logs from the installation should be under /var/log/anaconda on the installed system, but I'm not sure they were copied there in case of failed installation.
Comment 6 Fedora End Of Life 2013-12-21 10:25:10 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 18:04:59 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.